OS=__$(shell uname)
BUILD=..

include $(BUILD)/make.inc

.PRECIOUS: $(MYLIB).a

OBJS=assert_cpp.o def_msg.o
HDRS= assert.h
HEADERS=${HDRS:%=$(INC)/gpklib/%}
LHDRS=${HDRS:%=$(BUILD)/gpklib/%}

all: $(MYLIB).a $(LHDRS)
	date >all

install: $(HEADERS)

$(MYLIB).a	:	$(OBJS)
	$(AR) r $(MYLIB).a $?

$(INC)/gpklib/% : %
	$(BUILD)/install-sh -c $* $(INC)/gpklib/$* -m 0444

$(BUILD)/gpklib/% : %
	$(BUILD)/install-sh -c $* $(BUILD)/gpklib/$* -m 0444

assert_test : assert_test.o $(MYLIB).a
	CCC -o assert_test assert_test.o $(MYLIB).a -l++
assert_test2 : assert_test2.o $(MYLIB).a
	CCC -o assert_test2 assert_test2.o $(MYLIB).a -l++
